Tumblelog by Soup.io
Newer posts are loading.
You are at the newest post.
Click here to check if anything new just came in.

June 29 2015

Capturing Radiotap


iw dev # identify correct phy
iw phy phy1 interface add mon0 type monitor
ip link set mon0 up
iw dev mon0 set freq 2437
iw dev wlan1 del
tcpdump -i mon0 -n -U
# 14:54:34.103612 12.0 Mb/s 2437 MHz 11g -73dB signal antenna 1 Beacon (mesh.ffmuc) [1.0* 2.0 5.5 11.0 6.0 9.0 12.0 18.0 Mbit] IBSS CH: 6
Tags: linux

June 11 2015



Gustav Klimt
Reposted frompseikow pseikow vianomnomnom nomnomnom

June 09 2015

0645 5f7b
Reposted fromgameofthrones gameofthrones viaoopsiak oopsiak

June 06 2015

1141 bf2c
Reposted fromNSFWcontent NSFWcontent viarandoom randoom

Postgresql Upgrade on Gentoo/Linux

Short walkthru Migrating_PostgreSQL
old=9.3
new=9.4

/etc/init.d/postgresql-$old stop
rc-update del postgresql-$old
eselect postgresql set $new
su - postgres
ln -s /etc/postgresql-$old/*.conf /var/lib/postgresql/$old/data
ln -s /etc/postgresql-$new/*.conf /var/lib/postgresql/$new/data
initdb  /var/lib/postgresql/9.4/data \
  -E utf8 --locale=en_US.UTF-8  --lc-collate=C
pg_upgrade94 \
  -b /usr/lib64/postgresql-$old/bin \
  -B /usr/lib64/postgresql-$new/bin \
  -d /var/lib/postgresql/$old/data \
  -D /var/lib/postgresql/$new/data
exit
mv /var/lib/postgresql/$new/data/*.conf /etc/postgresql-$new
/etc/init.d/postgresql-$new start
rc-update add postgresql-$newdefault
Tags: linux own

June 02 2015

1700 f904 500
Reposted fromfavor8mistake favor8mistake viakartoNik kartoNik

June 01 2015

5506 ffd8 500
Reposted fromluvlitchi luvlitchi viaMakeMePurr MakeMePurr

May 31 2015

1206 a2eb 500
Reposted fromkobiety kobiety viaprettywomen prettywomen

May 19 2015

9483 4373 500
xmw.de
Tags: own

May 13 2015

5653 ceb2 500
Reposted fromgaf gaf viacoloredgrayscale coloredgrayscale

May 11 2015

4917 d481 500
Reposted fromkonbeto konbeto viaasmod4n asmod4n

May 09 2015

0600 3087 500
xmw.de
Gewünschte Irritation
Tags: own
Reposted byfadenb fadenb

May 08 2015

April 30 2015

8200 75e2
Reposted fromwieczyslaw wieczyslaw viastraycat straycat

Howto build IrssiConnectbot w/ mosh for Android 5

Since http://dan.drown.org/android/ is no longer maintained, and newer Androids report a missing -fPIE in the native compiled part of the APK, as it wasn't activated prior to API 16, I had to compile it myself, I chose API level 22, but any above or including 16 should work

# error: only position independent executables (PIE) are supported

#Install the native compiler suite
emerge -av dev-util/android-ndk

# Install GUI to download SDKs etc.
emerge -av dev-util/android-sdk-update-manager

# Download API 22 -> SDK Platform
/opt/android-sdk-update-manager/tools/android

#Create a keystore and signing key
keytool -genkey -v -keystore ~/xmw.de.keystore -alias xmw.de -keyalg RSA -keysize 4096 -validity 10000

# Checkout dan drowns fork of ConnectBot
git clone https://github.com/ddrown/irssiconnectbot.git
cd irssiconnectbot

#Configure your local situation in local.properties
sdk.dir=/opt/android-sdk-update-manager
ndk.dir=/opt/android-ndk
target=android-22
key.store=${user.home}/xmw.de.keystore
key.alias=xmw.de

#Build and sign
ant clean
ant release

# If you switch the apk signature, make sure uninstall the app w/o -k
adb uninstall org.woltage.irssiconnectbot
# If you keep the data, you must install an apk with the same signature!!!
# Subsequent updates can be applied using
adb shell pm uninstall -k org.woltage.irssiconnectbot
adb install bin/irssiconnectbot-debug.apk
Tags: linux own
Older posts are this way If this message doesn't go away, click anywhere on the page to continue loading posts.
Could not load more posts
Maybe Soup is currently being updated? I'll try again automatically in a few seconds...
Just a second, loading more posts...
You've reached the end.

Don't be the product, buy the product!

Schweinderl